VERSION 5.00
Begin VB.Form MainForm 
   Caption         =   "Logic Analyzer"
   ClientHeight    =   8700
   ClientLeft      =   8010
   ClientTop       =   4020
   ClientWidth     =   13470
   LinkTopic       =   "Form1"
   ScaleHeight     =   8700
   ScaleWidth      =   13470
   Begin VB.CommandButton ReadData 
      Caption         =   "Read Data"
      Height          =   495
      Left            =   5280
      TabIndex        =   1
      Top             =   8160
      Width           =   2415
   End
   Begin VB.PictureBox DrawPic 
      BackColor       =   &H80000008&
      Height          =   7935
      Left            =   120
      ScaleHeight     =   525
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   877
      TabIndex        =   0
      Top             =   120
      Width           =   13215
   End
   Begin VB.Label LogicData 
      Caption         =   "Logic Data ="
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   8160
      Width           =   3015
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub ReadData_Click()
    Dim bRe As Boolean
    Dim Re As Long
    Dim j As Long
    Dim pSrcData(2047) As Long
    Dim LogicData As Long
    Dim SH(1) As Long

    SH(0) = 65535
    SH(1) = 65535
    j = 1000
    
    SetCmdLA (nCurDev)
    Re = ReadCollectStatus(nCurDev)
    While Re <> 1
        j = j - 1
        Re = ReadCollectStatus(nCurDev)
        If j < 0 Then
            GoTo LBL100
        End If
    Wend
    
LBL100:
    If Re = 1 Then
        bRe = ReadSrcData(nCurDev, pSrcData(0), nSampleDepth, nHTrigPos)
    
        If bRe Then
         MainForm.DrawPic.Cls
         Re = HTDrawLABusSignalVB(MainForm.DrawPic.hDC, 0, 0, MainForm.DrawPic.ScaleWidth, 30, 0, 255, 0, pSrcData(0), nSampleDepth, nSampleDepth / 2, MainForm.DrawPic.ScaleWidth / nSampleDepth, SH(0), 0, 2)
     
         For i = 0 To 31
            Re = HTDrawLASquareSignalVB(MainForm.DrawPic.hDC, 0, 30 + i * 15, MainForm.DrawPic.ScaleWidth, 30 + (i + 1) * 15, 0, 255, 0, pSrcData(0), nSampleDepth, nSampleDepth / 2, MainForm.DrawPic.ScaleWidth / nSampleDepth, i)
         Next i
        End If
    End If
    
    LogicData = 0
    bRe = ReadLogicData(nCurDev, LogicData)
    MainForm.LogicData.Caption = "Logic Data = 0x" + Hex(LogicData)
End Sub
